package com.reactlibrary;

import android.content.Context;
import android.util.Log;

import java.io.File;
/**
 * Created by Amit Kumar Sahoo on 13th Oct 2020.
 * Email : amit.sahoo@mindfiresolutions.com
 * Utility class
 */
public class Utility {
    public static final String VIDEO_DIRECTORY = "/compressed/";

    /**
     * get output file path from the input file path
     *
     * @param inputFilePath : String input file path
     * @param context       : Context
     * @return : String output file path
     */
    public static String getOutputFilePath(String inputFilePath, Context context) {
        String outputPath = inputFilePath.replace(".", "_compressed.");
        try {
            File imageFile = new File(inputFilePath);
            String outputFileName = imageFile.getName().replace(".", "_compressed.");

            File directory = new File(context.getExternalFilesDir(null) + VIDEO_DIRECTORY);
            if (!directory.exists())
                directory.mkdirs();

            File file = new File(context.getExternalFilesDir(null) + VIDEO_DIRECTORY + outputFileName);
            outputPath = file.getPath();

        } catch (Exception e) {
            if (e.getMessage() != null) {
                Log.e("Error : ", e.getMessage());
            }
        }
        return outputPath;
    }
}
